halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Member Functions | Public Attributes | List of all members
hal::Sequence::Info Struct Reference

`#include <halSequence.h>`

## Public Member Functions
| Info (const std::string &name, hal_size_t length, hal_size_t numTopSegments, hal_size_t numBottomSegments)

## Public Attributes
std::string | _name
hal_size_t | _length
hal_size_t | _numTopSegments
hal_size_t | _numBottomSegments

## Detailed Description

Basic information describing the dimenisons and name of a sequence required for each sequence when creating a new genome

The documentation for this struct was generated from the following file:

- inc/halSequence.h